# Display the list of subnets that can be bound to the NAT gateway - ListSubnetForNATGW

## Overview

Display the list of subnets that can be bound to the NAT gateway






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `ListSubnetForNATGW`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.sigcalcloud.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project Id. If not filled in, the default project is used. Sub-accounts must fill in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **VPCId** | string | The VPC Id to which the NAT Gateway belongs. The default value is Default VPC Id. |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **DataSet** | array[[*NatgwSubnetDataSet*](#natgwsubnetdataset)] | Specific parameters can be found in NatgwSubnetDataSet |No|

#### Data Model


#### NatgwSubnetDataSet

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Subnet** | string | Subnet Segment |**Yes**|
| **Netmask** | string | Mask |**Yes**|
| **HasNATGW** | boolean | Is NATGW bound? |**Yes**|
| **SubnetId** | string | Subnet ID |No|
| **SubnetName** | string | Subnet Name |No|

## Example

### Request Example
    
```
https://api.sigcalcloud.com/?Action=ListSubnetForNATGW
&Region=xxx
&ProjectId=xxx
&VPCId=uAfTvSwq
```

### Response Example
    
```json
{
  "Action": "ListSubnetForNATGWResponse",
  "DataSet": [
    {
      "HasNATGW": "xxxx",
      "Netmask": "xxxx",
      "Subnet": "xxxx",
      "SubnetId": "xxxx",
      "SubnetName": "xxxx"
    }
  ],
  "RetCode": 0
}
```





